-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Nov 09, 2017 at 05:21 AM
-- Server version: 10.1.9-MariaDB
-- PHP Version: 5.6.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `myuniversity`
--

-- --------------------------------------------------------

--
-- Table structure for table `advisor`
--

CREATE TABLE `advisor` (
  `advcode` char(2) NOT NULL,
  `advfirst` varchar(30) NOT NULL,
  `advlast` varchar(30) NOT NULL,
  `phone` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `advisor`
--

INSERT INTO `advisor` (`advcode`, `advfirst`, `advlast`, `phone`) VALUES
('T1', 'เมทินี', 'เขียวกันยะ', '0892213254'),
('T2', 'เบญจมาศ', 'ปัญญางาม', '0933542168'),
('T3', 'ดุษฎี', 'ประเสริฐธิติพงษ์', '0835479669');

-- --------------------------------------------------------

--
-- Table structure for table `employee`
--

CREATE TABLE `employee` (
  `code` char(3) NOT NULL,
  `picname` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `project`
--

CREATE TABLE `project` (
  `projcode` char(3) NOT NULL,
  `projname` varchar(50) NOT NULL,
  `year` char(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `project`
--

INSERT INTO `project` (`projcode`, `projname`, `year`) VALUES
('p1', 'ระบบจัดเก็บพัสดุ', '2559'),
('p2', 'โปรแกรมประยุกต์สำหรับจำแนกพันธุ์พืช', '2560'),
('p3', 'เว็บไซต์กรมบัญชีกลาง', '2560'),
('p4', 'หุ่นยนต์ควบคุมการล้างจานอัตมัติ', '2560'),
('p5', 'ระบบผู้เชียวชาญการวิเคราะห์โรคติดต่อ', '2560'),
('p6', 'การจัดการฐานข้อมูลด้วยเทคนิคผสมผสาน', '2560');

-- --------------------------------------------------------

--
-- Table structure for table `register`
--

CREATE TABLE `register` (
  `stucode` char(3) NOT NULL,
  `subjcode` char(2) NOT NULL,
  `score` int(11) NOT NULL,
  `grade` char(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `register`
--

INSERT INTO `register` (`stucode`, `subjcode`, `score`, `grade`) VALUES
('001', 's1', 80, 'A'),
('001', 's3', 65, 'C'),
('002', 's1', 75, 'B'),
('003', 's1', 55, 'C'),
('003', 's2', 74, 'B'),
('004', 's1', 90, 'A'),
('004', 's2', 65, 'C'),
('004', 's3', 57, 'C');

-- --------------------------------------------------------

--
-- Table structure for table `student`
--

CREATE TABLE `student` (
  `stucode` char(3) NOT NULL,
  `stufirst` varchar(30) NOT NULL,
  `stulast` varchar(30) NOT NULL,
  `gpa` float NOT NULL,
  `advcode` char(2) NOT NULL,
  `projcode` char(2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `student`
--

INSERT INTO `student` (`stucode`, `stufirst`, `stulast`, `gpa`, `advcode`, `projcode`) VALUES
('001', 'กันยา', 'รุ่งเรือง', 3.52, 'T1', 'p1'),
('002', 'กนกวรรณ', 'อุ่นใจ', 2.55, 'T2', 'p2'),
('003', 'นพมาศ', 'ปักษา', 2.35, 'T3', 'p3'),
('004', 'อุษา', 'ภักดี', 3.14, 'T3', 'p4'),
('005', 'วุฒิพงษ์', 'ประภากร', 3.4, 'T1', 'p5'),
('006', 'ประภาพร', 'รัตนากร', 2.75, 'T2', 'p6'),
('007', 'กนกวรรณ', 'ดิลกกุล', 2.08, '', '');

-- --------------------------------------------------------

--
-- Table structure for table `subject`
--

CREATE TABLE `subject` (
  `subjcode` char(2) NOT NULL,
  `subjname` varchar(50) NOT NULL,
  `credit` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `subject`
--

INSERT INTO `subject` (`subjcode`, `subjname`, `credit`) VALUES
('s1', 'การเขียนโปรแกรมเบื้องต้น', 3),
('s2', 'การจัดการฐานข้อมูล', 2),
('s3', 'การประมวลผลภาพ', 3);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `advisor`
--
ALTER TABLE `advisor`
  ADD PRIMARY KEY (`advcode`);

--
-- Indexes for table `employee`
--
ALTER TABLE `employee`
  ADD PRIMARY KEY (`code`);

--
-- Indexes for table `project`
--
ALTER TABLE `project`
  ADD PRIMARY KEY (`projcode`);

--
-- Indexes for table `register`
--
ALTER TABLE `register`
  ADD PRIMARY KEY (`stucode`,`subjcode`);

--
-- Indexes for table `student`
--
ALTER TABLE `student`
  ADD PRIMARY KEY (`stucode`);

--
-- Indexes for table `subject`
--
ALTER TABLE `subject`
  ADD PRIMARY KEY (`subjcode`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
